package com.ycwl.basic.mapper;

import com.ycwl.basic.model.pc.faceSample.entity.FaceSampleEntity;
import com.ycwl.basic.model.pc.faceSample.req.FaceSampleReqQuery;
import com.ycwl.basic.model.pc.faceSample.resp.FaceSampleRespVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 15:38
 * 人脸样本（设备上报）检索
 */
@Mapper
public interface FaceSampleMapper {
    List<FaceSampleRespVO> list(FaceSampleReqQuery faceSampleReqQuery);
    FaceSampleRespVO getById(Long id);
    int add(FaceSampleEntity faceSample);
    int deleteById(Long id);
    int deleteByIds(@Param("list") List<Long> ids);
    int update(FaceSampleEntity faceSample);

    List<FaceSampleEntity> listByIds(List<Long> list);

    FaceSampleEntity getEntity(Long faceSampleId);
}
